# frozen_string_literal: true

require_relative "lib/rates_sname/version"

Gem::Specification.new do |spec|
  spec.name          = "rates_sname"
  spec.version       = RatesSname::VERSION
  spec.authors       = ["Olumuyiwa Osiname"]
  spec.email         = ["oluosiname@gmail.com"]

  spec.summary       = "Convert money."
  spec.description   = "Convert money from once currency to another"
  spec.homepage      = "https://github.com/oluosiname"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.4.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "bin"
  spec.executables   = ["rates"]
  spec.require_paths = ["lib"]

  spec.add_development_dependency "rspec", "~> 3.2"
  spec.add_dependency 'excon'

  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end